{
  sources ? import ./nix/sources.nix,
  system ? builtins.currentSystem,
  crossSystem ? null,
  config ? {},
  alejandraUnstable ? (import sources.nixpkgsUnstable {}).alejandra,
  cardanoNodeProject ? import sources.cardano-node {},
} @ args:
with import ./nix args; {
  shell = mkShell {
    inherit (import sources.niv {}) niv;
    buildInputs = [
      alejandraUnstable # The Uncompromising Nix Code Formatter
      cardanoNodeProject.cardano-cli # required for KES key rotation
      niv
      nixops_unstable_minimal # work around for issue #127423
      tea # Gitea official CLI client
      treefmt # one CLI to format the code tree
    ];
    NIX_PATH = "nixpkgs=${sources.nixpkgs}";
    NIXOPS_DEPLOYMENT = "${globals.deploymentName}";
  };
}
