# Hardware configuration file common to all Lenovo x201 devices
{
  config,
  lib,
  pkgs,
  ...
}: {
  imports = [<nixpkgs/nixos/modules/installer/scan/not-detected.nix>];

  boot.initrd.availableKernelModules = ["ehci_pci" "ata_piix" "usbhid" "usb_storage" "sd_mod" "sr_mod"];
  boot.initrd.kernelModules = [];
  boot.kernelModules = ["kvm-intel"];
  boot.extraModulePackages = [];

  fileSystems."/" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "ext4";
  };

  swapDevices = [{device = "/dev/disk/by-label/swap";}];

  hardware.opengl.extraPackages = with pkgs; [vaapiIntel];
  nix.settings.max-jobs = lib.mkDefault 4;

  services.thinkfan = {
    enable = true;
    smartSupport = true;
  };
}
