# Configuration for a Lenovo x201
{
  config,
  pkgs,
  ...
}: {
  imports = [
    ../hardware/lenovo_x201.nix
    ../profiles/desktop_common.nix
    ../profiles/haskell-dev.nix
    ../profiles/kids-dev.nix
  ];

  # Use the GRUB 2 boot loader.
  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";

  deployment.targetHost = "10.42.0.127";
  networking.hostName = "teintidh"; # Define your hostname.

  system.stateVersion = "18.09"; # The version of NixOS originally installed
}
