# NixOps configuration for the mio-ops nodes
{
  network = {
    description = "mio-ops nodes";
    enableRollback = true;
  };

  network.storage.legacy = {databasefile = "~/.nixops/deployments.nixops";};

  defaults = {
    config,
    pkgs,
    lib,
    ...
  }: {
    system.autoUpgrade.enable = false; # Disabled as it conflicts with NixOps
  };

  airgead = import hosts/airgead.nix;
  brighde = import hosts/brighde.nix;
  ceilidh = import hosts/ceilidh.nix;
  cuallaidh = import hosts/cuallaidh.nix;
  dhu = import hosts/dhu.nix;
  dionach = import hosts/dionach.nix;
  iolear-beag = import hosts/iolear-beag.nix;
  doilidh = import hosts/doilidh.nix;
  eamhair = import hosts/eamhair.nix;
  ceitidh = import hosts/ceitidh.nix;
  paidh-uachdar = import hosts/paidh-uachdar.nix;
  sanganto = import hosts/sanganto.nix;
  sercanto = import hosts/sercanto.nix;
  sithlainnir = import hosts/sithlainnir.nix;
  teintidh = import hosts/teintidh.nix;
}
