# Craige's NixOS desktop requirements
{
  config,
  pkgs,
  ...
}: {
  # Craige's Desktop Packages
  imports = [
    ../profiles/ebooks.nix
    ../profiles/minecraftClient.nix
    ../profiles/spotify.nix # Spotify settings
  ];

  environment.systemPackages = with pkgs; [
    byobu # text-based window manager and terminal multiplexer.
    caprine-bin # an elegant Facebook Messenger desktop app
    element-desktop # A feature-rich client for Matrix.org
    enlightenment.terminology # Powerful terminal emulator based on EFL
    firefox # A web browser built from Firefox source tree
    ffmpeg-full # record, convert and stream audio and video
    gimp # The GNU Image Manipulation Program
    gopass # password file manager
    libreoffice # Comprehensive, professional-quality productivity suite
    mpd # A flexible, powerful daemon for playing music
    ncmpcpp # A featureful ncurses based MPD client inspired by ncmpc
    nextcloud-client # Nextcloud themed desktop client
    nvme-cli # NVM-Express user space tooling for Linux
    pandoc # Conversion between documentation formats
    pwgen # Password generator
    siji # An iconic bitmap font based on Stlarch with additional glyphs
    shared-mime-info # A database of common MIME types
    shotwell # Photo organizer
    signal-desktop # Private, simple, and secure messenger
    sshfs # allows remote filesystems to be mounted over SSH
    sweethome3d.application # design and visualise homes
    taskwarrior # Highly flexible command-line tool to manage TODO lists
    termonad # Terminal emulator configurable in Haskell
    texliveFull # TeX Live environment
    tmate # Instant Terminal Sharing
    tor-browser-bundle-bin # Tor Browser Bundle built by torproject.org
    tuba # Fediverse client
    unzip # An extraction utility for archives compressed in .zip format
    vcsh # Version Control System for $HOME
    yt-dlp # Command-line tool to download videos
  ];
}
