# NixOps configuration for the hosts I'm doing nixpkgs dev work on
{
  config,
  pkgs,
  lib,
  ...
}:
#let
#  sources = import ../nix/sources.nix;
#  unstable = import sources.nixpkgsUnstable {};
#in
{
  nixpkgs = {config = {allowUnfree = true;};};

  environment = {
    systemPackages = with pkgs; [
      cabal2nix # Convert Cabal files into Nix build instructions
      nixfmt-rfc-style # An opinionated formatter for Nix
      nix-prefetch-github # Prefetch sources from github
      nix-prefetch-git # Prefetch sources from git
      nixpkgs-review # Review pull-requests on https://github.com/NixOS/nixpkgs
      nix-top # Tracks what nix is building
      nix-universal-prefetch # Uses nixpkgs fetchers to figure out hashes
      nodePackages.node2nix # Generate Nix expressions to build NPM packages
      nox # Tools to make Nix nicer
      sqlite # To query the nixpkgs sqlite database
      tig # Text-mode interface for git
      #unstable.statix          # Lints and suggestions for the nix programming language
    ];
  };
}
